Retrieve a transfer
Retrieve detailed information for a specific transfer by its unique identifier belonging to an Account or Customer. Returns transfer status, amount, creation date, clearing details, and links to source and destination funding sources for complete transaction tracking. Includes cancellation links when applicable and references to related funding transfers. Essential for monitoring transfer lifecycle and transaction reconciliation.
GET https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var transferUrl =
"https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8";
dwolla.get(transferUrl).then((res) => res.body.status); // => 'pending'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8'
transfer = account_token.get(transfer_url)
transfer.body['status'] # => 'pending'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8';
$transfersApi = new DwollaSwagger\TransfersApi($apiClient);
$transfer = $transfersApi->byId($transferUrl);
$transfer->status; # => "pending"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
transfer_url = 'https://api.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8'
transfer = app_token.get transfer_url
transfer.status # => "pending"
{
"_links": {},
"id": "15c6bcce-46f7-e811-8112-e8dd3bececa8",
"status": "pending",
"amount": {
"value": "42.00",
"currency": "USD"
},
"created": "2018-12-03T22:00:22.970Z",
"clearing": {
"source": "standard",
"destination": "same-day"
},
"metadata": {
"paymentId": "12345678",
"note": "Payment for completed work Dec. 1"
},
"achDetails": {
"source": {
"addenda": {
"values": [
"ABC123_AddendaValue"
]
},
"beneficiaryName": "John Doe",
"companyEntryDescription": "PAYMENT",
"companyId": "1234567890",
"companyName": "Acme Corporation",
"effectiveDate": "2021-12-01",
"postingData": "Acme Corporation:Payment Reference:John Doe",
"routingNumber": "222222226",
"traceId": "222222225926346"
},
"destination": {
"addenda": {
"values": [
"ZYX987_AddendaValue"
]
},
"beneficiaryName": "Jane Smith",
"companyEntryDescription": "PAYMENT",
"companyId": "1234567890",
"companyName": "Acme Corporation",
"effectiveDate": "2021-12-01",
"postingData": "Acme Corporation:Payment Reference:Jane Smith",
"routingNumber": "222222226",
"traceId": "222222225926346"
}
},
"rtpDetails": {
"destination": {
"remittanceData": "ABC_123 Remittance Data",
"networkId": "20210617021214273T1BG27487110796028",
"endToEndReferenceId": "E2E-RTP-20210617-001"
}
},
"fedNowDetails": {
"destination": {
"remittanceData": "ABC_123 Remittance Data",
"networkId": "20240115123456789FEDNOW123456",
"endToEndReferenceId": "E2E-FEDNOW-20240115-001"
}
},
"correlationId": "8a2cdc8d-629d-4a24-98ac-40b735229fe2",
"processingChannel": {
"destination": "real-time-payments"
}
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
ID of transfer to be retrieved
Response
successful operation
Show child attributes
Show child attributes
"15c6bcce-46f7-e811-8112-e8dd3bececa8"
"pending"
Show child attributes
Show child attributes
"2018-12-03T22:00:22.970Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ACH-specific details for the transfer. Present when transfer was processed via ACH network.
Show child attributes
Show child attributes
Real-Time Payments (RTP) network specific details. Present when transfer was processed via RTP network.
Show child attributes
Show child attributes
FedNow Service network specific details. Present when transfer was processed via FedNow network.
Show child attributes
Show child attributes
"8a2cdc8d-629d-4a24-98ac-40b735229fe2"
Show child attributes
Show child attributes
Was this page helpful?
GET https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var transferUrl =
"https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8";
dwolla.get(transferUrl).then((res) => res.body.status); // => 'pending'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8'
transfer = account_token.get(transfer_url)
transfer.body['status'] # => 'pending'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8';
$transfersApi = new DwollaSwagger\TransfersApi($apiClient);
$transfer = $transfersApi->byId($transferUrl);
$transfer->status; # => "pending"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
transfer_url = 'https://api.dwolla.com/transfers/15c6bcce-46f7-e811-8112-e8dd3bececa8'
transfer = app_token.get transfer_url
transfer.status # => "pending"
{
"_links": {},
"id": "15c6bcce-46f7-e811-8112-e8dd3bececa8",
"status": "pending",
"amount": {
"value": "42.00",
"currency": "USD"
},
"created": "2018-12-03T22:00:22.970Z",
"clearing": {
"source": "standard",
"destination": "same-day"
},
"metadata": {
"paymentId": "12345678",
"note": "Payment for completed work Dec. 1"
},
"achDetails": {
"source": {
"addenda": {
"values": [
"ABC123_AddendaValue"
]
},
"beneficiaryName": "John Doe",
"companyEntryDescription": "PAYMENT",
"companyId": "1234567890",
"companyName": "Acme Corporation",
"effectiveDate": "2021-12-01",
"postingData": "Acme Corporation:Payment Reference:John Doe",
"routingNumber": "222222226",
"traceId": "222222225926346"
},
"destination": {
"addenda": {
"values": [
"ZYX987_AddendaValue"
]
},
"beneficiaryName": "Jane Smith",
"companyEntryDescription": "PAYMENT",
"companyId": "1234567890",
"companyName": "Acme Corporation",
"effectiveDate": "2021-12-01",
"postingData": "Acme Corporation:Payment Reference:Jane Smith",
"routingNumber": "222222226",
"traceId": "222222225926346"
}
},
"rtpDetails": {
"destination": {
"remittanceData": "ABC_123 Remittance Data",
"networkId": "20210617021214273T1BG27487110796028",
"endToEndReferenceId": "E2E-RTP-20210617-001"
}
},
"fedNowDetails": {
"destination": {
"remittanceData": "ABC_123 Remittance Data",
"networkId": "20240115123456789FEDNOW123456",
"endToEndReferenceId": "E2E-FEDNOW-20240115-001"
}
},
"correlationId": "8a2cdc8d-629d-4a24-98ac-40b735229fe2",
"processingChannel": {
"destination": "real-time-payments"
}
}{
"code": "NotFound",
"message": "The requested resource was not found."
}